Loading...
Searching...
No Matches
Dune::MultiTypeBlockMatrix_Solver< I, crow, remain_row > Class Template Reference
Iterative Solvers Template Library (ISTL) » Sparse Matrix and Vector classes » DenseMatVec

solver for MultiTypeBlockVector & MultiTypeBlockMatrix types More...

`#include <dune/istl/multitypeblockmatrix.hh>`

Inheritance diagram for Dune::MultiTypeBlockMatrix_Solver< I, crow, remain_row >:

## Static Public Member Functions

template<typename TVector, typename TMatrix, typename K>
static void | dbgs (const TMatrix &A, TVector &x, const TVector &b, const K &w)
template<typename TVector, typename TMatrix, typename K>
static void | dbgs (const TMatrix &A, TVector &x, TVector &v, const TVector &b, const K &w)
template<typename TVector, typename TMatrix, typename K>
static void | bsorf (const TMatrix &A, TVector &x, const TVector &b, const K &w)
template<typename TVector, typename TMatrix, typename K>
static void | bsorf (const TMatrix &A, TVector &x, TVector &v, const TVector &b, const K &w)
template<typename TVector, typename TMatrix, typename K>
static void | bsorb (const TMatrix &A, TVector &x, const TVector &b, const K &w)
template<typename TVector, typename TMatrix, typename K>
static void | bsorb (const TMatrix &A, TVector &x, TVector &v, const TVector &b, const K &w)
template<typename TVector, typename TMatrix, typename K>
static void | dbjac (const TMatrix &A, TVector &x, const TVector &b, const K &w)
template<typename TVector, typename TMatrix, typename K>
static void | dbjac (const TMatrix &A, TVector &x, TVector &v, const TVector &b, const K &w)

## Detailed Description

template<int I, int crow, int remain_row>
class Dune::MultiTypeBlockMatrix_Solver< I, crow, remain_row >

solver for MultiTypeBlockVector & MultiTypeBlockMatrix types

The methods of this class are called by the solver specializations for MultiTypeBlockVector & MultiTypeBlockMatrix types (dbgs, bsorf, bsorb, dbjac).

The documentation for this class was generated from the following file:

- multitypeblockmatrix.hh